
From: Hans Ulrich Niedermann <linux-kernel@n-dimensional.de>

I've noted that 2.6.0 contains broken references to documentation.

I got sufficiently annoyed chasing doc files in the wrong place
that I wrote a script to check the references to documentation
files.

Some documentation files have moved (e.g.  Documentation/modules.txt to
Documentation/kbuild/modules.txt).  I adapted the references with a script.



 Documentation/block/biodoc.txt                               |    4 ++--
 Documentation/fb/aty128fb.txt                                |    2 +-
 Documentation/fb/matroxfb.txt                                |    2 +-
 Documentation/input/input.txt                                |    2 +-
 Documentation/kbuild/modules.txt                             |    2 +-
 Documentation/kernel-parameters.txt                          |    2 +-
 Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl |    2 +-
 Documentation/sound/oss/CMI8330                              |    2 +-
 Documentation/sound/oss/INSTALL.awe                          |    2 +-
 Documentation/sound/oss/Introduction                         |    2 +-
 Documentation/sound/oss/PAS16                                |    8 ++++----
 Documentation/sound/oss/SoundPro                             |    2 +-
 Documentation/sound/oss/Wavefront                            |    2 +-
 arch/arm/mach-sa1100/Kconfig                                 |    2 +-
 arch/m68k/Kconfig                                            |    2 +-
 arch/mips/Kconfig                                            |    6 +++---
 arch/sh/Kconfig                                              |    2 +-
 arch/x86_64/Kconfig                                          |    2 +-
 drivers/char/watchdog/Kconfig                                |    4 ++--
 drivers/net/cs89x0.c                                         |    2 +-
 drivers/net/wan/Kconfig                                      |    4 ++--
 drivers/usb/image/scanner.c                                  |    2 +-
 include/asm-s390/ccwdev.h                                    |    2 +-
 kernel/power/Kconfig                                         |    2 +-
 kernel/power/swsusp.c                                        |    2 +-
 net/bridge/netfilter/Kconfig                                 |    2 +-
 sound/oss/Kconfig                                            |    2 +-
 sound/oss/dmasound/Kconfig                                   |    8 ++++----
 sound/oss/vwsnd.c                                            |    2 +-
 29 files changed, 40 insertions(+), 40 deletions(-)

diff -puN arch/arm/mach-sa1100/Kconfig~documentation-ref-fixes arch/arm/mach-sa1100/Kconfig
--- 25/arch/arm/mach-sa1100/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/arch/arm/mach-sa1100/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -304,7 +304,7 @@ config SA1100_YOPY
 	depends on ARCH_SA1100
 	help
 	  Say Y here to support the Yopy PDA.  Product information at
-	  <http://www.yopy.com/>.  See Documentation/arm/SA110/Yopy
+	  <http://www.yopy.com/>.  See Documentation/arm/SA1100/Yopy
 	  for more.
 
 config SA1100_STORK
diff -puN arch/m68k/Kconfig~documentation-ref-fixes arch/m68k/Kconfig
--- 25/arch/m68k/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/arch/m68k/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -1025,7 +1025,7 @@ config WATCHDOG
 	  implementation entirely in software (which can sometimes fail to
 	  reboot the machine) and a driver for hardware watchdog boards, which
 	  are more robust and can also keep track of the temperature inside
-	  your computer. For details, read <file:Documentation/watchdog.txt>
+	  your computer. For details, read <file:Documentation/watchdog/watchdog.txt>
 	  in the kernel source.
 
 	  The watchdog is usually used together with the watchdog daemon
diff -puN arch/mips/Kconfig~documentation-ref-fixes arch/mips/Kconfig
--- 25/arch/mips/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/arch/mips/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -1261,8 +1261,8 @@ config SOUND
 	  You want to read the Sound-HOWTO, available from
 	  <http://www.tldp.org/docs.html#howto>. General information about
 	  the modular sound system is contained in the files
-	  <file:Documentation/sound/Introduction>.  The file
-	  <file:Documentation/sound/README.OSS> contains some slightly
+	  <file:Documentation/sound/oss/Introduction>.  The file
+	  <file:Documentation/sound/oss/README.OSS> contains some slightly
 	  outdated but still useful information as well.
 
 	  If you have a PnP sound card and you want to configure it at boot
@@ -1270,7 +1270,7 @@ config SOUND
 	  <http://www.roestock.demon.co.uk/isapnptools/>), then you need to
 	  compile the sound card support as a module and load that module
 	  after the PnP configuration is finished. To do this, choose M here
-	  and read <file:Documentation/sound/README.modules>; the module
+	  and read <file:Documentation/sound/oss/README.modules>; the module
 	  will be called soundcore.
 
 	  I'm told that even without a sound card, you can make your computer
diff -puN arch/sh/Kconfig~documentation-ref-fixes arch/sh/Kconfig
--- 25/arch/sh/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/arch/sh/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -1053,7 +1053,7 @@ config WATCHDOG
 	  implementation entirely in software (which can sometimes fail to
 	  reboot the machine) and a driver for hardware watchdog boards, which
 	  are more robust and can also keep track of the temperature inside
-	  your computer. For details, read <file:Documentation/watchdog.txt>
+	  your computer. For details, read <file:Documentation/watchdog/watchdog.txt>
 	  in the kernel source.
 
 	  The watchdog is usually used together with the watchdog daemon
diff -puN arch/x86_64/Kconfig~documentation-ref-fixes arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/arch/x86_64/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -314,7 +314,7 @@ config SOFTWARE_SUSPEND
 	  This option is close to getting stable. However there is still some
 	  absence of features.
 
-	  For more information take a look at Documentation/swsusp.txt.
+	  For more information take a look at Documentation/power/swsusp.txt.
 
 source "drivers/acpi/Kconfig"
 
diff -puN Documentation/block/biodoc.txt~documentation-ref-fixes Documentation/block/biodoc.txt
--- 25/Documentation/block/biodoc.txt~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/block/biodoc.txt	2003-12-27 16:07:03.000000000 -0800
@@ -323,7 +323,7 @@ involved. In the latter case, the driver
 request->buffer, request->sector and request->nr_sectors or
 request->current_nr_sectors fields itself rather than using the block layer
 end_request or end_that_request_first completion interfaces.
-(See 2.3 or Documentation/bio/request.txt for a brief explanation of
+(See 2.3 or Documentation/block/request.txt for a brief explanation of
 the request structure fields)
 
 [TBD: end_that_request_last should be usable even in this case;
@@ -517,7 +517,7 @@ request structure.
 Only some relevant fields (mainly those which changed or may be referred
 to in some of the discussion here) are listed below, not necessarily in
 the order in which they occur in the structure (see include/linux/blkdev.h)
-Refer to Documentation/bio/request.txt for details about all the request
+Refer to Documentation/block/request.txt for details about all the request
 structure fields and a quick reference about the layers which are
 supposed to use or modify those fields.
 
diff -puN Documentation/fb/aty128fb.txt~documentation-ref-fixes Documentation/fb/aty128fb.txt
--- 25/Documentation/fb/aty128fb.txt~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/fb/aty128fb.txt	2003-12-27 16:07:03.000000000 -0800
@@ -32,7 +32,7 @@ resolutions.
 You should compile in both vgacon (to boot if you remove your Rage128 from
 box) and aty128fb (for graphics mode). You should not compile-in vesafb
 unless you have primary display on non-Rage128 VBE2.0 device (see 
-Documentation/vesafb.txt for details).
+Documentation/fb/vesafb.txt for details).
 
 
 X11
diff -puN Documentation/fb/matroxfb.txt~documentation-ref-fixes Documentation/fb/matroxfb.txt
--- 25/Documentation/fb/matroxfb.txt~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/fb/matroxfb.txt	2003-12-27 16:07:03.000000000 -0800
@@ -31,7 +31,7 @@ pass to the kernel this command line: "v
 You should compile in both vgacon (to boot if you remove you Matrox from
 box) and matroxfb (for graphics mode). You should not compile-in vesafb
 unless you have primary display on non-Matrox VBE2.0 device (see 
-Documentation/vesafb.txt for details).
+Documentation/fb/vesafb.txt for details).
 
 Currently supported video modes are (through vesa:... interface, PowerMac
 has [as addon] compatibility code):
diff -puN Documentation/input/input.txt~documentation-ref-fixes Documentation/input/input.txt
--- 25/Documentation/input/input.txt~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/input/input.txt	2003-12-27 16:07:03.000000000 -0800
@@ -255,7 +255,7 @@ driver. 
 is also emulated, characters should appear if you move it.
 
   You can test the joystick emulation with the 'jstest' utility,
-available in the joystick package (see Documentation/joystick.txt).
+available in the joystick package (see Documentation/input/joystick.txt).
 
   You can test the event devices with the 'evtest' utility available
 in the LinuxConsole project CVS archive (see the URL below).
diff -puN Documentation/kbuild/modules.txt~documentation-ref-fixes Documentation/kbuild/modules.txt
--- 25/Documentation/kbuild/modules.txt~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/kbuild/modules.txt	2003-12-27 16:07:03.000000000 -0800
@@ -1,4 +1,4 @@
-For now this is a raw copy from the old Documentation/modules.txt,
+For now this is a raw copy from the old Documentation/kbuild/modules.txt,
 which was removed in 2.6.0-test5.
 The information herein is correct but not complete.
 
diff -puN Documentation/kernel-parameters.txt~documentation-ref-fixes Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/kernel-parameters.txt	2003-12-27 16:07:03.000000000 -0800
@@ -1167,7 +1167,7 @@ running once the system is up.
 			See header of drivers/scsi/wd7000.c.
 
 	wdt=		[WDT] Watchdog
-			See Documentation/watchdog.txt.
+			See Documentation/watchdog/watchdog.txt.
 
 	xd=		[HW,XT] Original XT pre-IDE (RLL encoded) disks.
 	xd_geo=		See header of drivers/block/xd.c.
diff -puN Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl~documentation-ref-fixes Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl
--- 25/Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/alsa/DocBook/writing-an-alsa-driver.tmpl	2003-12-27 16:07:03.000000000 -0800
@@ -3623,7 +3623,7 @@ struct _snd_pcm_runtime {
 
         <para>
           More precise information can be found in
-        <filename>alsa-kernel/Documentation/ControlNames.txt</filename>.
+        <filename>alsa-kernel/Documentation/sound/alsa/ControlNames.txt</filename>.
         </para>
       </section>
     </section>
diff -puN Documentation/sound/oss/CMI8330~documentation-ref-fixes Documentation/sound/oss/CMI8330
--- 25/Documentation/sound/oss/CMI8330~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/oss/CMI8330	2003-12-27 16:07:03.000000000 -0800
@@ -2,7 +2,7 @@ Documentation for CMI 8330 (SoundPRO) 
 -------------------------------------
 Alessandro Zummo <azummo@ita.flashnet.it>
 
-( Be sure to read Documentation/sound/SoundPro too )
+( Be sure to read Documentation/sound/oss/SoundPro too )
 
 
 This adapter is now directly supported by the sb driver.
diff -puN Documentation/sound/oss/INSTALL.awe~documentation-ref-fixes Documentation/sound/oss/INSTALL.awe
--- 25/Documentation/sound/oss/INSTALL.awe~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/oss/INSTALL.awe	2003-12-27 16:07:03.000000000 -0800
@@ -114,7 +114,7 @@ See INSTALL.RH for more details.
 		# insmod awe_wave
 		(Be sure to load awe_wave after sb!)
 
-		See /usr/src/linux/Documentation/sound/AWE32 for
+		See /usr/src/linux/Documentation/sound/oss/AWE32 for
 		more details.
 
   9. (only for obsolete systems) If you don't have /dev/sequencer
diff -puN Documentation/sound/oss/Introduction~documentation-ref-fixes Documentation/sound/oss/Introduction
--- 25/Documentation/sound/oss/Introduction~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/oss/Introduction	2003-12-27 16:07:03.000000000 -0800
@@ -24,7 +24,7 @@ History:
 ========
 0.1.0  11/20/1998  First version, draft
 1.0.0  11/1998     Alan Cox changes, incorporation in 2.2.0
-                   as /usr/src/linux/Documentation/sound/Introduction
+                   as /usr/src/linux/Documentation/sound/oss/Introduction
 1.1.0  6/30/1999   Second version, added notes on making the drivers,
                    added info on multiple sound cards of similar types,]
                    added more diagnostics info, added info about esd.
diff -puN Documentation/sound/oss/PAS16~documentation-ref-fixes Documentation/sound/oss/PAS16
--- 25/Documentation/sound/oss/PAS16~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/oss/PAS16	2003-12-27 16:07:03.000000000 -0800
@@ -9,7 +9,7 @@ and others whose names I could not find.
 This documentation is relevant for the PAS16 driver (pas2_card.c and
 friends) under kernel version 2.3.99 and later.  If you are
 unfamiliar with configuring sound under Linux, please read the
-Sound-HOWTO, linux/Documentation/sound/Introduction and other 
+Sound-HOWTO, linux/Documentation/sound/oss/Introduction and other
 relevant docs first.
 
 The following information is relevant information from README.OSS
@@ -73,8 +73,8 @@ CONFIG_SOUND
   You want to read the Sound-HOWTO, available from
   http://www.tldp.org/docs.html#howto . General information
   about the modular sound system is contained in the files
-  Documentation/sound/Introduction. The file
-  Documentation/sound/README.OSS contains some slightly outdated but
+  Documentation/sound/oss/Introduction. The file
+  Documentation/sound/oss/README.OSS contains some slightly outdated but
   still useful information as well.
 
 OSS sound modules
@@ -119,7 +119,7 @@ CONFIG_SOUND_YM3812
   cards may have software (TSR) FM emulation. Enabling FM support with
   these cards may cause trouble (I don't currently know of any such
   cards, however).
-  Please read the file Documentation/sound/OPL3 if your card has an
+  Please read the file Documentation/sound/oss/OPL3 if your card has an
   OPL3 chip.
   If you compile the driver into the kernel, you have to add
   "opl3=<io>" to the kernel command line.
diff -puN Documentation/sound/oss/SoundPro~documentation-ref-fixes Documentation/sound/oss/SoundPro
--- 25/Documentation/sound/oss/SoundPro~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/oss/SoundPro	2003-12-27 16:07:03.000000000 -0800
@@ -1,7 +1,7 @@
 Documentation for the SoundPro CMI8330 extensions in the WSS driver (ad1848.o)
 ------------------------------------------------------------------------------
 
-( Be sure to read Documentation/sound/CMI8330 too )
+( Be sure to read Documentation/sound/oss/CMI8330 too )
 
 Ion Badulescu, ionut@cs.columbia.edu
 February 24, 1999
diff -puN Documentation/sound/oss/Wavefront~documentation-ref-fixes Documentation/sound/oss/Wavefront
--- 25/Documentation/sound/oss/Wavefront~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/Documentation/sound/oss/Wavefront	2003-12-27 16:07:03.000000000 -0800
@@ -105,7 +105,7 @@ design and implementation of the driver.
    drivers/sound/wf_midi.c              -- the "uart401" driver 
    				              to support virtual MIDI mode.
    include/wavefront.h                  -- the header file
-   Documentation/sound/Tropez+          -- short docs on configuration
+   Documentation/sound/oss/Tropez+          -- short docs on configuration
 
 **********************************************************************
 4) How do I compile/install/use it ?
diff -puN drivers/char/watchdog/Kconfig~documentation-ref-fixes drivers/char/watchdog/Kconfig
--- 25/drivers/char/watchdog/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/drivers/char/watchdog/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -17,7 +17,7 @@ config WATCHDOG
 	  implementation entirely in software (which can sometimes fail to
 	  reboot the machine) and a driver for hardware watchdog boards, which
 	  are more robust and can also keep track of the temperature inside
-	  your computer. For details, read <file:Documentation/watchdog.txt>
+	  your computer. For details, read <file:Documentation/watchdog/watchdog.txt>
 	  in the kernel source.
 
 	  The watchdog is usually used together with the watchdog daemon
@@ -114,7 +114,7 @@ config PCWATCHDOG
 	  This card simply watches your kernel to make sure it doesn't freeze,
 	  and if it does, it reboots your computer after a certain amount of
 	  time. This driver is like the WDT501 driver but for different
-	  hardware. Please read <file:Documentation/pcwd-watchdog.txt>. The PC
+	  hardware. Please read <file:Documentation/watchdog/pcwd-watchdog.txt>. The PC
 	  watchdog cards can be ordered from <http://www.berkprod.com/>.
 
 	  To compile this driver as a module, choose M here: the
diff -puN drivers/net/cs89x0.c~documentation-ref-fixes drivers/net/cs89x0.c
--- 25/drivers/net/cs89x0.c~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/drivers/net/cs89x0.c	2003-12-27 16:07:03.000000000 -0800
@@ -47,7 +47,7 @@
                     : <klee@crystal.cirrus.com>)
                     : Don't call netif_wake_queue() in net_send_packet()
                     : Fixed an out-of-mem bug in dma_rx()
-                    : Updated Documentation/cs89x0.txt
+                    : Updated Documentation/networking/cs89x0.txt
 
   Andrew Morton     : andrewm@uow.edu.au / Kernel 2.3.99-pre1
                     : Use skb_reserve to longword align IP header (two places)
diff -puN drivers/net/wan/Kconfig~documentation-ref-fixes drivers/net/wan/Kconfig
--- 25/drivers/net/wan/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/drivers/net/wan/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -349,7 +349,7 @@ config WANXL
 
 	  If you want to compile the driver as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you want),
-	  say M here and read <file:Documentation/modules.txt>.  The module
+	  say M here and read <file:Documentation/kbuild/modules.txt>.  The module
 	  will be called wanxl.
 
 	  If unsure, say N here.
@@ -482,7 +482,7 @@ config SDLA
 	  Say Y here if you need a driver for the Sangoma S502A, S502E, and
 	  S508 Frame Relay Access Devices. These are multi-protocol cards, but
 	  only frame relay is supported by the driver at this time. Please
-	  read <file:Documentation/framerelay.txt>.
+	  read <file:Documentation/networking/framerelay.txt>.
 
 	  To compile this driver as a module, choose M here: the module will be
 	  called sdla.
diff -puN drivers/usb/image/scanner.c~documentation-ref-fixes drivers/usb/image/scanner.c
--- 25/drivers/usb/image/scanner.c~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/drivers/usb/image/scanner.c	2003-12-27 16:07:03.000000000 -0800
@@ -282,7 +282,7 @@
  *      for common error messages rather than the maintainer.
  *
  * 0.4.7  11/28/2001
- *    - Fixed typo in Documentation/scanner.txt.  Thanks to
+ *    - Fixed typo in Documentation/usb/scanner.txt.  Thanks to
  *      Karel <karel.vervaeke@pandora.be> for pointing it out.
  *    - Added ID's for a Memorex 6136u. Thanks to lvaro Gaspar de
  *      Valenzuela" <agaspard@utsi.edu>.
diff -puN include/asm-s390/ccwdev.h~documentation-ref-fixes include/asm-s390/ccwdev.h
--- 25/include/asm-s390/ccwdev.h~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/include/asm-s390/ccwdev.h	2003-12-27 16:07:03.000000000 -0800
@@ -69,7 +69,7 @@ ccw_device_id_match(const struct ccw_dev
 /* The struct ccw device is our replacement for the globally accessible
  * ioinfo array. ioinfo will mutate into a subchannel device later.
  *
- * Reference: Documentation/driver-model.txt */
+ * Reference: Documentation/s390/driver-model.txt */
 struct ccw_device {
 	spinlock_t *ccwlock;
 	struct ccw_device_private *private;	/* cio private information */
diff -puN kernel/power/Kconfig~documentation-ref-fixes kernel/power/Kconfig
--- 25/kernel/power/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/kernel/power/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -40,7 +40,7 @@ config SOFTWARE_SUSPEND
 	  involved in suspending. Also in this case there is a risk that buffers
 	  on disk won't match with saved ones.
 
-	  For more information take a look at Documentation/swsusp.txt.
+	  For more information take a look at Documentation/power/swsusp.txt.
 
 config PM_DISK
 	bool "Suspend-to-Disk Support"
diff -puN kernel/power/swsusp.c~documentation-ref-fixes kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/kernel/power/swsusp.c	2003-12-27 16:07:03.000000000 -0800
@@ -33,7 +33,7 @@
  *
  * More state savers are welcome. Especially for the scsi layer...
  *
- * For TODOs,FIXMEs also look in Documentation/swsusp.txt
+ * For TODOs,FIXMEs also look in Documentation/power/swsusp.txt
  */
 
 #include <linux/module.h>
diff -puN net/bridge/netfilter/Kconfig~documentation-ref-fixes net/bridge/netfilter/Kconfig
--- 25/net/bridge/netfilter/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/net/bridge/netfilter/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -92,7 +92,7 @@ config BRIDGE_EBT_LIMIT
 	  equivalent of the iptables limit match.
 
 	  If you want to compile it as a module, say M here and read
-	  <file:Documentation/modules.txt>.  If unsure, say `N'.
+	  <file:Documentation/kbuild/modules.txt>.  If unsure, say `N'.
 
 config BRIDGE_EBT_MARK
 	tristate "ebt: mark filter support"
diff -puN sound/oss/dmasound/Kconfig~documentation-ref-fixes sound/oss/dmasound/Kconfig
--- 25/sound/oss/dmasound/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/sound/oss/dmasound/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -10,7 +10,7 @@ config DMASOUND_ATARI
 	  This driver is also available as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you
 	  want). If you want to compile it as a module, say M here and read
-	  <file:Documentation/modules.txt>.
+	  <file:Documentation/kbuild/modules.txt>.
 
 config DMASOUND_PMAC
 	tristate "PowerMac DMA sound support"
@@ -24,7 +24,7 @@ config DMASOUND_PMAC
 	  This driver is also available as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you
 	  want). If you want to compile it as a module, say M here and read
-	  <file:Documentation/modules.txt>.
+	  <file:Documentation/kbuild/modules.txt>.
 
 config DMASOUND_PAULA
 	tristate "Amiga DMA sound support"
@@ -38,7 +38,7 @@ config DMASOUND_PAULA
 	  This driver is also available as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you
 	  want). If you want to compile it as a module, say M here and read
-	  <file:Documentation/modules.txt>.
+	  <file:Documentation/kbuild/modules.txt>.
 
 config DMASOUND_Q40
 	tristate "Q40 sound support"
@@ -52,7 +52,7 @@ config DMASOUND_Q40
 	  This driver is also available as a module ( = code which can be
 	  inserted in and removed from the running kernel whenever you
 	  want). If you want to compile it as a module, say M here and read
-	  <file:Documentation/modules.txt>.
+	  <file:Documentation/kbuild/modules.txt>.
 
 config DMASOUND
 	tristate
diff -puN sound/oss/Kconfig~documentation-ref-fixes sound/oss/Kconfig
--- 25/sound/oss/Kconfig~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/sound/oss/Kconfig	2003-12-27 16:07:03.000000000 -0800
@@ -195,7 +195,7 @@ config SOUND_ES1371
 	  Ensoniq was bought by Creative Labs, Sound Blaster 64/PCI
 	  models are either ES1370 or ES1371 based. This driver differs
 	  slightly from OSS/Free, so PLEASE READ
-	  <file:Documentation/sound/es1371>.
+	  <file:Documentation/sound/oss/es1371>.
 
 config SOUND_ESSSOLO1
 	tristate "ESS Technology Solo1"
diff -puN sound/oss/vwsnd.c~documentation-ref-fixes sound/oss/vwsnd.c
--- 25/sound/oss/vwsnd.c~documentation-ref-fixes	2003-12-27 16:07:03.000000000 -0800
+++ 25-akpm/sound/oss/vwsnd.c	2003-12-27 16:07:03.000000000 -0800
@@ -1,6 +1,6 @@
 /*
  * Sound driver for Silicon Graphics 320 and 540 Visual Workstations'
- * onboard audio.  See notes in ../../Documentation/sound/vwsnd .
+ * onboard audio.  See notes in ../../Documentation/sound/oss/vwsnd .
  *
  * Copyright 1999 Silicon Graphics, Inc.  All rights reserved.
  *

_
